Subject: Re: [Ltru] [private] Re: Registry updated

From: "Doug Ewell" <[email-masked]>
Date: Sun, 24 Aug 2008 21:46:02 -0600

This is a continuation, of sorts, of a semi-private thread that was sent 
to 7 people (though only Gérard and I participated) and which I felt 
belonged on the public list.

Lang Gérard <gerard dot lang at insee dot fr> wrote:

[on adding region subtags for oceans and seas]

> ... I think that it is perfectly conceivable that:
> -People working together on a petrol platform (say outside Alaska on 
> one side, and in the economic maritime zone of Norway on another side) 
> could each develop a language that would be initially only 
> interintelligible between them on each side, but would spread out and 
> be recognized with  specific language names after that;
> -People working on a ship that only sails inside the mediterraneen 
> sea, on one side, and in the Japan sea on another side could each 
> develop a language that would be initially only interintelligible 
> between them on each side, but would spread out and be recognized with 
> specific language names after that.
> In both cases, that are certainly not more absurd that the cases of 
> Klingon or Europanto, a region subtag for Atlantic Ocean and another 
> one for Pacific Ocean would not be unuseful to mark the association of 
> these languages with these regions.

In both cases, the underlying premise is that these co-workers would 
develop and share a language variant (if not a full-blown "language") 
that is different enough from their respective regional variants to 
warrant a new variant subtag, and -- here's the tough one for me -- is 
best identified by the physical location of the platform or ship, not 
the industry or company, such that other workers on a different platform 
or ship in the same region would be expected to adopt the same language 
variant.

I'm not seeing this.  I can imagine Shell or BP employees adopting a 
particular industry-specific jargon or vocabulary (not quite as 
grammatically extensive as Boontling, however), but I don't see how this 
would be specific enough to the geographic region, or consistent enough 
across different scenarios, that the best way to describe these variants 
would be "English as spoken in the Bering Sea" or similar.

If such variants are found to exist, and a need to tag content in these 
variants is established, then ietf-languages can always consider adding 
variant subtags as needed.

> The fact that a list of region subtag corresponding to countries that 
> border the  Atlantic Ocean would be necessary to correctly use a 
> region subtag for Atlantic Ocean does not seem not different from the 
> fact that the same is true concerning the numeric-3 region subtags 
> given by the continental, subcontinental and regional continental 
> entries in UNSD's M49 nomenclature.

There are actual, real-world use cases like "Spanish as used in Latin 
America," where the language variety in question is broader than 
"Honduras" or "Colombia," but still needs to be distinguished from 
"Spanish as used in Spain."  To date I have not seen any real-world use 
cases for "Language X as used in the Atlantic Ocean."  There is a big 
difference between reserving the possibility to encode things we have 
not encoded before, and adding subtags for hypothetical cases.

> Returning to Europanto, I am not sure that everyone knows or agrees 
> that this is a bogus. And how is it possible that ETHNOLOGUE, that 
> seems a serious academic organisation created such a language name, 
> and that ISO 639-3 registered such a language name, and that SIL that 
> is ISO 639-3 Registration Agency and ISO 639/RA-JAC did not decide to 
> deprecate "eur"

I don't know how all this happened.  But I do believe strongly that it 
is not our place to choose certain ISO 639-* languages and reject 
others.

> (By the way, the mobilization of the ISO 3166-2 code element BE-BRU 
> could be useful in this case) ?

Notwithstanding all of my other objections to ISO 3166-2-based subtags 
(syntactic conflict with other subtags; not always freely available), 
this would only be appropriate to describe a language variety associated 
with Brussels itself -- not merely some putative variant associated with 
the NATO or EU administration.

> To be completely sure about this case, I recently (08/0/2008) posted 
> to SIL an official request form, following all described procedures, 
> to register a new alpha-3 ISO 639-3 code element (nel) [because 
> infortunately (neg) is no more available] for the language name 
> "Neglish", that is the name of the language spoken by people working 
> in NATO's buildings in Brussels (I am not sure that the use of a 
> region tag concerning Atlantic Ocean would be in this specific case 
> more fitting that BE-BRU !), exactly in the same way that Europanto is 
> defined and described in ETHNOLOGUE as being the name of the language 
> spoken by people working in European Union's buildings in Brussels. 
> And I am waiting to see how this request will be managed by SIL and 
> ISO 639/RA-JAC, and what explanations will be given about it.

I don't know how ISO 639-3/RA will feel about a request that is made to 
test the waters, so to speak, "to see how this request will be managed" 
rather than as a genuine request for a code for a genuine language that 
is genuinely not supported in ISO 639-3.  If it were up to me, I would 
reject this request as frivolous.

"Bureaucratese" is not a separate language.  We have had this discussion 
a few times with concepts like "formal" versus "informal" speech.  Some 
people (not to say Gérard) like to mock politicians by claiming "they're 
not speaking the same language as you and me," but there is no 
conceptual precedent for tagging political or bureaucratic speech 
distinctly from other speech.

Finally, I'm not at all convinced that your best argument for adding 
something to ISO 639-3 or to the LSR is to first cite an example you 
consider absurd, such as Europanto, and then state that your proposed 
code or subtag is "no worse than" the absurd example.

[on adding ISO 3166-2-based subtags]

> Concerning syntax, maybe case-insensitivity is not all the future for 
> IANA's Registry.

As I said before (but not on the list), the reasons for language tags to 
be case-insensitive are numerous, and the design decision would be 
difficult and painful to overturn.

> Anyway, we certainly could search for another solution for ISO 3166-2 
> pseudo code elements. For example, by introducing a "j" prefix, like 
> the "i"  prefix is used.

Reserving a singleton to introduce a 3166-2-based subtag would be 
syntactically feasible, and has been suggested for other situations, 
such as ISO 639-6.  A syntactically equivalent, but perhaps 
administratively cleaner, solution might be to establish an extension 
(see RFC 4646, Section 3.7).  You would still need to persuade people 
that the additional geographic precision afforded by ISO 3166-2 would be 
useful in language tags and would justify the administrative effort.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: John Cowan <[email-masked]>
Date: Mon, 25 Aug 2008 00:10:53 -0400

> syntactically feasible, and has been suggested for other situations, 

The trouble is that 3166-2 is neither stable nor publicly available.

-- 
John Cowan  [email-masked]  http://ccil.org/~cowan
In computer science, we stand on each other's feet.
        --Brian K. Reid
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Sun, 24 Aug 2008 21:22:21 -0700

Hi -

> From: "John Cowan" <[email-masked]>
> To: "Doug Ewell" <[email-masked]>
> Cc: "LTRU Working Group" <[email-masked]>; "Lang Gérard" <[email-masked]>
> Sent: Sunday, August 24, 2008 9:10 PM
> Subject: Re: [Ltru] [private] Re: Registry updated
>
> Doug Ewell scripsit:
>

As co-chair:
Furthermore, that work is outside the current scope of this working group.
After we've completed our current charter, we can consider whether it
would be worthwhile to add such a deliverable.  At this time, we should
devote our energy to completing the current deliverables.

Randy

---

From: Lang Gérard <[email-masked]>
Date: Tue, 26 Aug 2008 12:06:18 +0200

Let me give some more comments about my previous exchanges with Doug Ewell, and some remarks about them.

1- I already indicated in a previous exchange with Doug Ewell that ISO central Secretary is seriously considering a decision to make all ISO 3166-1 and ISO 3166-2 code lists freely available.

2-Concerning my request for the creation of "Neglish" (nel) inside ISO 639-3, let me remark that even is jokingly presented by parralelism with "Europanto" (eur), the two cases are completely different. When Europanto, if existing, is described as a purely artificial language only spoken by bureaucrats located in Brussels, Neglish is a purely genuine spoken language, defined for reference as born among NATO's bureucrats, build as an enrichment of English language with many words coming from different others languages (french, german, spanish, ..) and not plainly respecting english grammar, that is massively spoken in our today's world, specially for international relations of all kinds,  certainly by more people than the people speaking only pure english language, that all have a good interintelligibity (and this would not be the case with English language only).

3-The common normative history of ISO 639 and ISO 3166 goes back to November 1967, when ISO (after work on this question beginning in 1951 and submitted to inquiry in 1964) published recommendation R 639 (1st edition) "Symbols for languages, countries and authorities", includind 4 parts: 1 Language symbols; 2 Country symbols; 3 Symbols of Authorities; 4 Combination of symbols.
Authorities were there understood as ISO national body members.
Annex a gave a classified list of languages and their symbols, arranged by families, following the UDC.
Annex B gave  for each of a list of 38 language names  an alpha-2 language symbol  (and also another alpha-1 language symbol for 10 of them), as well as a numeric-3 index given by the Universal Decimal Classification (UDC).
Annex D gave a classified list of country and standard symbols, with for each of the 50 coutries in the list a numerc UDC iondex, An alpha-1 or alpha-2 or alpha-3 country symbol and a standards symbol (like USAS fior USA, BS for GB or NF for France).

After that, the story goes on as follows:  

 ISO R 639 (November 1967), 1st edition
 Symbols for Languages, Countries and Authorities
 (NOT FACE A FACE BILINGUAL ENGLISH/FRENCH)

                                                                                                         ISO 3166 (15/12/1974), 1st edition   (NOT FACE A FACE BILINGUAL ENGLISH/FRENCH)
                                                                                                         Codes for the representation of names of countries  
                                                                                                         (224 entries, with each an alpha-2 code element and an alpha-3 code element)

                                                                                                         ISO 3166 (15/05/1981), 2nd edition  [replaces ISO 3166: 1974] 
                                                                                                         Codes for the representation of names of countries
                                                                                                         (220 entries, with each an alpha-2, an alpha-3 code element AND a numeric-3 code element)

 ISO 639 (01/04/1988), 1st edition  [replaces ISO R 639]                        ISO 3166 (15/08/1988), 3rd edition   [replaces ISO 3166 1981]
 Code for the representation of names of languages                               Codes for the representation of names of countries
 (136 entries, with each an alpha-2 code element, but "jw")                     (221 entries, with each an alpha-2, an alpha-3 and a numeric-3 code element)

                                                                                                         ISO 3166 (15/09/1993), 4th edition   [replaces ISO 3166 1988]
                                                                                                         Codes for the representartion of names of countries
                                                                                                         (229 entries, with each an alpha-2 an alpha-3 and a numeric-3 code element)

 [ RFC 1766 (March 1995),  (ONLY ENGLISH)
 Tags for the Identification of Languages ]

                                                                                                         [ AFNOR XP Z 44-002 (August 1997)
                                                                                                         Code for the representation of names of historic countries  (ONLY FRENCH)
                                                                                                         (About 1330 entries, with each an alpha-5 code element, giving the history of country names 
                                                                                                          from 1815 [Congress of Vienna) to 1974, publication of the first edition of ISO 3166) ]
  
                                                                                                        ISO 3166-1 (01/10/1997),1st edition  [ISO 3166 5th edition, replaces ISO 3166 1993]
                                                                                                        Codes for the representation of names of countries and their subdivisions
                                                                                                        Part 1: Country codes
                                                                                                        (238 entries, with each an alpha-2, an alpha-3 and a numeric-3 code element)

 ISO 639-2 (22/10/1998), 1st edition                                                    ISO 3166-2 (15/10/1998), 1st edition
 Codes for the representation of names of languages                            Codes for the representation of names of countries and their subdivisions
 Part 2: Alpha-3 code                                                                         Part 2: Country subdivision code
 (430 entries, with each an alpha-3  "T" code elements,                        (About 6000 entries, each represented with a chain of characters of length max 6, beginning 
 and in 23 cases anorther alpha-3 "B" code element)                             with the alpha-2 code element of the considered country, followed by an hyphen)

                                                                                                       ISO 3166-3 (01/04/1999), 1st edition
                                                                                                       Codes for the representation of names of countries and their subdivisions
                                                                                                       Part 3: Code for formerly used names of countries
                                                                                                       (26 entries, each with an alpha-4 code element)

 [ RFC 3066 (January 2001)  [obsoletes RFC 1766]
 Tags for the Identification of Languages  (ONLY ENGLISH) ]

 ISO 639-1 (15/07/2002), 1st edition  [replaces ISO 639]
 Codes for the representation of names of languages
 Part 1: Alpha-2 codes
 (182 entries, with each an alpha-2 code element)

 ISO 15924 (04/02/2004), 1st edition
 Code for the representation of names of scripts
(103 entries, each with an alpha-4 and a numeric-3 code element)

 [ RFC 4646 (September 2006) [obsoletes RFC 3066]                          [ AFNOR XP Z 44-020 (25/09/2006)
 Tags for Identifying Languages  (ONLY ENGLISH)]                               Code for the representation of names of Oceans and Seas (ONLY FRENCH)
                                                                                                       (About  500 entries, each represented by a chain of characters beginning by a letter    
                                                                                                        representing the considered Ocean, followed by a numeric chain representing the Seas)]

                                                                                                       ISO 3166-1 (15/11/2006), 2nd edition [replaces ISO 3166-1 1997]
                                                                                                       Codes for the representation of names of countries and their subdivisions
                                                                                                       Part 1: Country codes
                                                                                                       (244 entries, 193 independant countries and 51 others territories with geopolitical interest,
                                                                                                       with each an alpha-2, an alpha-3 and a numeric 3 code element)

 ISO 639-3 (01/02/2007)                                                                    ISO 3166-2 (15/12/2007), 2nd edition  [replaces ISO 3166-2 1998]
 Codes for the representation of names of languages                           Codes for the representation of names of countries and their subdivisions
 Part 3: Alpha-3 code for comprehensive coverage of                           Part 2 : Country subdivision code  
 languages  (NOT BILINGUAL FACE A FACE ENGLISH/FRENCH)       (About 7000 entries, representing high level administrative subdivisions of each independant
 (About 7000 entries, with each an alpha-3 code element)                    country inside ISO 3166-1, but Monaco and Vatican, and also for 2 others terrritories, each
                                                                                                      represented by a chain of characters of length max 6)

 ISO 639-5 (15/05/2008)
 Codes for the representation of names of languages
 Part 5: Alpha-3 code for language families and groups
(114 entries, each with an alpha-3 code element)

 [RFC 4646 bis (08/07/2008)
  Tags for Identidfying Languages draft  (ONLY ENGLISH)

Links between all these documents arte as follows:

ISO 639 (1988) only normative reference is ISO 3166, and its clause 4.4 is "Application of the country symbols"

RFC 1766 (1995) refers to ISO 639 (1988), and also to ISO 3166 (1988) but not to ISO 3166 (1993) [why ?]

ISO 3166-1 (1997) gives ISO 639 (1988) not as a normative reference, but as a bibliographic reference with others ISO standards using ISO 3166

ISO 639-2 (1998) only normative reference is ISO 3166-1 (1997), and its clause 4.4 is "Application of the country code"

ISO 3166-2 (1998) gives ISO 3166-1 (1997) and ISO 639 (1988) among its normative references, and uses ISO 639 inside its annex  C (informative) to produce an index of ISO 639 language code elerments used for the representatiobn of official languages of countries

ISO 3166-3 (1999) gives ISO 3166-1 (1997) among its normative references

RFC 3066 (2001) refers to ISO 639 (1988), ISO 639-2 (1998), and ISO 3166 (1988), but not ISO 3166-1 (1997) that seems curious because RFC 3066  also quasi-refers to the future ISO 639-1 (2000), that will in fact be ISO 639-1 (2002). Also, ISO 3166-2 (1998) is not referenced inside RFC 31-066, but is in fact directly used by the example sgn-US-MA given inside point 2.2 "Language tag sources".

ISO 639-1 (2002) gives only the three parts of ISO 3166, ISO 3166-1 (1997), ISO 3166-2 (1998) and ISO 3166-3 (1999) as normative references, and its clause 4.4 "Application of the country code" explicitely gives both examples   "en US-NY"  and  "fr FR-75".

ISO 15924 (2004) gives ISO 639-2 (1998) among its normative references, but ISO 639-2 and ISO 3166-1 (1997) are also given in the Bibliography, and in fact definition 3.3 is about "country code", so that ISO 3166 is effectively used by ISO 15924

RFC 4646 (2006) gives as normative references ISO 15924 (2004), ISO 3166-1 (1997), ISO 639-1 (2002), ISO 639-2 (1998) and also UNSTAT's M49, but not ISO 3166-2 (1998). 
08/07/2008ISO 3166-1 (2006) gives ISO 639-1 and ISO 639-2 among its normative references, and uses them in informative columns 9 and 10 of tables 9 and 10 that give the list of code elements of administrative languages (defined in clause 6.2) of each entry.

ISO 3166-2 (2007) gives ISO 3166-1 (2006) among its normative references and uses ISO 639-1 (2002) for each entry inside table 8 "List of country subdivision names and their code elements" to give the list of administrative languages of this entry. Also Annex C (informative) "Index of ISO 639-1 names of alpha-2 languages code element used" uses ISO 639-1. 

RFC 4646 bis (2008) gives as normative references ISO 15924 (2004), ISO 3166-1 (2006), ISO 639-1 (2002), ISO 639-2 (1998), ISO 639-3 (2007), ISO 639-5 (2008)
and also UNSTAT's M49, but not ISO 3166-2 (2007). It could also refer to ISO 8601 that is used at the end of point 3.1.1 "File Format" for the representation of the gregorian calendar. 

4-So, combination of ISO 639-1 or 639-2 code elements with ISO 3166-1 or ISO 3166-2 code elements has already been documented many times, as well in ISO 3166 that in ISO  639, or even in RFC 3066. So, it only seems natural to introduce ISO 3166-2 code elements inside the "region type" of IANA's Register.

5-Moreover, as ISO 639-3, and ISO 15924 as well, are developping an historic view on language name, it would also be natural to introduce an historic view on country names. Clearly ISO 3166-3, that begins history in 1974 (in thesame manner that IANA's Register begins history in 2005 !), in not an adequate reference for this, and AFNOR XP Z 44-002 could be a better one.

Bien cordialement.
Gérard LANG                        

-----Message d'origine-----
De : John Cowan [mailto:[email-masked]] 
Envoyé : lundi 25 août 2008 06:11
À : Doug Ewell
Cc : LTRU Working Group; Lang Gérard
Objet : Re: [Ltru] [private] Re: Registry updated

--
John Cowan  [email-masked]  http://ccil.org/~cowan In computer science, we stand on each other's feet.
        --Brian K. Reid
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Lang Gérard <[email-masked]>
Date: Tue, 26 Aug 2008 15:49:08 +0200

4 bis: The following informations should be inserted at their places at the end of point 4 of my previous message:

 AFNOR XP Z 44-002 (1997) gives among its normative references NF EN 23166 (1994), that is the european endorsement by CEN and AFNOR of ISO 3166 (1993), ISO/DIS 3166-1 (1996), ISO/DIS 3166-2 (1997), and ISO/DIS 3166-3 (1997) 

 AFNOR XP Z 44-020 (2006) gives as normative references NF EN 3166-1 (1997), that is the european endorsement by CEN and AFNOR of ISO 3166-1 (1997), and  
 NF EN 639-1 (2002) that is the european endorsement by CEN and AFNOR of ISO 639-1 (2002), that is used inside point 3.2 "Glossary of generic terms".        Bibliography of AFNOR's XP Z 44-020 also refers to the document Special Publication n° 23 " Limits of Oceans and Seas", third edition (1953) of IHO (International Hydrographic Organization), as well as Special Publication 23's document fourth edition final draft (2001).

 ISO 639-3 (2007) gives as only normative references ISO 3166-1 and ISO 15924, but point 4.4 is about "Relationship between ISO 639-2 and ISO 639-3" and also point 4.7 is about "Scripts and regions" 

ISO 639-5 (2208) gives as only normative reference ISO 639-2 (1998), and point 4.2 is about "Language identifiers that are also included in ISO 639-2" and also  Annex A (informative) is about "Groups and remainder  groups in ISO 639-2" 

Bien cordialement
Gérard LANG

-----Message d'origine-----
De : Lang Gérard 
Envoyé : mardi 26 août 2008 12:06 
À : 'John Cowan'; Doug Ewell; [email-masked]'; [email-masked]; [email-masked]
Cc : LTRU Working Group; Lang Gérard
Objet : RE: [Ltru] [private] Re: Registry updated

 ISO R 639 (November 1967), 1st edition
 Symbols for Languages, Countries and Authorities  (NOT FACE A FACE BILINGUAL ENGLISH/FRENCH)

 [ RFC 1766 (March 1995),  (ONLY ENGLISH)  Tags for the Identification of Languages ]

 [ RFC 3066 (January 2001)  [obsoletes RFC 1766]  Tags for the Identification of Languages  (ONLY ENGLISH) ]

 ISO 639-1 (15/07/2002), 1st edition  [replaces ISO 639]  Codes for the representation of names of languages  Part 1: Alpha-2 codes
 (182 entries, with each an alpha-2 code element)

 ISO 639-5 (15/05/2008)
 Codes for the representation of names of languages  Part 5: Alpha-3 code for language families and groups
(114 entries, each with an alpha-3 code element)

ISO 3166-1 (2006) gives ISO 639-1 and ISO 639-2 among its normative references, and uses them in informative columns 9 and 10 of tables 9 and 10 that give the list of code elements of administrative languages (defined in clause 6.2) of each entry.

RFC 4646 bis (2008) gives as normative references ISO 15924 (2004), ISO 3166-1 (2006), ISO 639-1 (2002), ISO 639-2 (1998), ISO 639-3 (2007), ISO 639-5 (2008) and also UNSTAT's M49, but not ISO 3166-2 (2007). It could also refer to ISO 8601 that is used at the end of point 3.1.1 "File Format" for the representation of the gregorian calendar. 

Bien cordialement.
Gérard LANG                        

-----Message d'origine-----
De : John Cowan [mailto:[email-masked]] Envoyé : lundi 25 août 2008 06:11 À : Doug Ewell Cc : LTRU Working Group; Lang Gérard Objet : Re: [Ltru] [private] Re: Registry updated

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 26 Aug 2008 10:53:05 -0700

Hi -

Gerard - Your last two postings are quite off-topic for this WG.
Please stick to matters that are within our charter and which
have not already been resolved.

Randy
ltru co-chair

----- Original Message ----- 
From: "Lang Gérard" <[email-masked]>
To: "Lang Gérard" <[email-masked]>; "John Cowan" <[email-masked]>; "Doug Ewell" <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>
Cc: "LTRU Working Group" <[email-masked]>; "Lang Gérard" <[email-masked]>
Sent: Tuesday, August 26, 2008 6:49 AM
Subject: Re: [Ltru] [private] Re: Registry updated

 AFNOR XP Z 44-002 (1997) gives among its normative references NF EN 23166 (1994), that is the european endorsement by CEN and AFNOR
of ISO 3166 (1993), ISO/DIS 3166-1 (1996), ISO/DIS 3166-2 (1997), and ISO/DIS 3166-3 (1997)

 AFNOR XP Z 44-020 (2006) gives as normative references NF EN 3166-1 (1997), that is the european endorsement by CEN and AFNOR of
ISO 3166-1 (1997), and
 NF EN 639-1 (2002) that is the european endorsement by CEN and AFNOR of ISO 639-1 (2002), that is used inside point 3.2 "Glossary
of generic terms".        Bibliography of AFNOR's XP Z 44-020 also refers to the document Special Publication n° 23 " Limits of
Oceans and Seas", third edition (1953) of IHO (International Hydrographic Organization), as well as Special Publication 23's
document fourth edition final draft (2001).

 ISO 639-3 (2007) gives as only normative references ISO 3166-1 and ISO 15924, but point 4.4 is about "Relationship between ISO
639-2 and ISO 639-3" and also point 4.7 is about "Scripts and regions"

ISO 639-5 (2208) gives as only normative reference ISO 639-2 (1998), and point 4.2 is about "Language identifiers that are also
included in ISO 639-2" and also  Annex A (informative) is about "Groups and remainder  groups in ISO 639-2"

Bien cordialement
Gérard LANG

-----Message d'origine-----
De : Lang Gérard
Envoyé : mardi 26 août 2008 12:06
À : 'John Cowan'; Doug Ewell; [email-masked]'; [email-masked]; [email-masked]
Cc : LTRU Working Group; Lang Gérard
Objet : RE: [Ltru] [private] Re: Registry updated

1- I already indicated in a previous exchange with Doug Ewell that ISO central Secretary is seriously considering a decision to make
all ISO 3166-1 and ISO 3166-2 code lists freely available.

2-Concerning my request for the creation of "Neglish" (nel) inside ISO 639-3, let me remark that even is jokingly presented by
parralelism with "Europanto" (eur), the two cases are completely different. When Europanto, if existing, is described as a purely
artificial language only spoken by bureaucrats located in Brussels, Neglish is a purely genuine spoken language, defined for
reference as born among NATO's bureucrats, build as an enrichment of English language with many words coming from different others
languages (french, german, spanish, ..) and not plainly respecting english grammar, that is massively spoken in our today's world,
specially for international relations of all kinds,  certainly by more people than the people speaking only pure english language,
that all have a good interintelligibity (and this would not be the case with English language only).

3-The common normative history of ISO 639 and ISO 3166 goes back to November 1967, when ISO (after work on this question beginning
in 1951 and submitted to inquiry in 1964) published recommendation R 639 (1st edition) "Symbols for languages, countries and
authorities", includind 4 parts: 1 Language symbols; 2 Country symbols; 3 Symbols of Authorities; 4 Combination of symbols.
Authorities were there understood as ISO national body members.
Annex a gave a classified list of languages and their symbols, arranged by families, following the UDC.
Annex B gave  for each of a list of 38 language names  an alpha-2 language symbol  (and also another alpha-1 language symbol for 10
of them), as well as a numeric-3 index given by the Universal Decimal Classification (UDC).
Annex D gave a classified list of country and standard symbols, with for each of the 50 coutries in the list a numerc UDC iondex, An
alpha-1 or alpha-2 or alpha-3 country symbol and a standards symbol (like USAS fior USA, BS for GB or NF for France).

                                                                                                         ISO 3166 (15/12/1974), 1st
edition   (NOT FACE A FACE BILINGUAL ENGLISH/FRENCH)
                                                                                                         Codes for the
representation of names of countries
                                                                                                         (224 entries, with each an
alpha-2 code element and an alpha-3 code element)

                                                                                                         ISO 3166 (15/05/1981), 2nd
edition  [replaces ISO 3166: 1974]
                                                                                                         Codes for the
representation of names of countries
                                                                                                         (220 entries, with each an
alpha-2, an alpha-3 code element AND a numeric-3 code element)

 ISO 639 (01/04/1988), 1st edition  [replaces ISO R 639]                        ISO 3166 (15/08/1988), 3rd edition   [replaces ISO
3166 1981]
 Code for the representation of names of languages                               Codes for the representation of names of countries
 (136 entries, with each an alpha-2 code element, but "jw")                     (221 entries, with each an alpha-2, an alpha-3 and a
numeric-3 code element)

                                                                                                         ISO 3166 (15/09/1993), 4th
edition   [replaces ISO 3166 1988]
                                                                                                         Codes for the
representartion of names of countries
                                                                                                         (229 entries, with each an
alpha-2 an alpha-3 and a numeric-3 code element)

                                                                                                         [ AFNOR XP Z 44-002 (August
1997)
                                                                                                         Code for the representation
of names of historic countries  (ONLY FRENCH)
                                                                                                         (About 1330 entries, with
each an alpha-5 code element, giving the history of country names
                                                                                                          from 1815 [Congress of
Vienna) to 1974, publication of the first edition of ISO 3166) ]

                                                                                                        ISO 3166-1 (01/10/1997),1st
edition  [ISO 3166 5th edition, replaces ISO 3166 1993]
                                                                                                        Codes for the representation
of names of countries and their subdivisions
                                                                                                        Part 1: Country codes
                                                                                                        (238 entries, with each an
alpha-2, an alpha-3 and a numeric-3 code element)

 ISO 639-2 (22/10/1998), 1st edition                                                    ISO 3166-2 (15/10/1998), 1st edition
 Codes for the representation of names of languages                            Codes for the representation of names of countries
and their subdivisions
 Part 2: Alpha-3 code                                                                         Part 2: Country subdivision code
 (430 entries, with each an alpha-3  "T" code elements,                        (About 6000 entries, each represented with a chain of
characters of length max 6, beginning
 and in 23 cases anorther alpha-3 "B" code element)                             with the alpha-2 code element of the considered
country, followed by an hyphen)

                                                                                                       ISO 3166-3 (01/04/1999), 1st
edition
                                                                                                       Codes for the representation
of names of countries and their subdivisions
                                                                                                       Part 3: Code for formerly
used names of countries
                                                                                                       (26 entries, each with an
alpha-4 code element)

 [ RFC 4646 (September 2006) [obsoletes RFC 3066]                          [ AFNOR XP Z 44-020 (25/09/2006)
 Tags for Identifying Languages  (ONLY ENGLISH)]                               Code for the representation of names of Oceans and
Seas (ONLY FRENCH)
                                                                                                       (About  500 entries, each
represented by a chain of characters beginning by a letter
                                                                                                        representing the considered
Ocean, followed by a numeric chain representing the Seas)]

                                                                                                       ISO 3166-1 (15/11/2006), 2nd
edition [replaces ISO 3166-1 1997]
                                                                                                       Codes for the representation
of names of countries and their subdivisions
                                                                                                       Part 1: Country codes
                                                                                                       (244 entries, 193 independant
countries and 51 others territories with geopolitical interest,
                                                                                                       with each an alpha-2, an
alpha-3 and a numeric 3 code element)

 ISO 639-3 (01/02/2007)                                                                    ISO 3166-2 (15/12/2007), 2nd edition
[replaces ISO 3166-2 1998]
 Codes for the representation of names of languages                           Codes for the representation of names of countries and
their subdivisions
 Part 3: Alpha-3 code for comprehensive coverage of                           Part 2 : Country subdivision code
 languages  (NOT BILINGUAL FACE A FACE ENGLISH/FRENCH)       (About 7000 entries, representing high level administrative
subdivisions of each independant
 (About 7000 entries, with each an alpha-3 code element)                    country inside ISO 3166-1, but Monaco and Vatican, and
also for 2 others terrritories, each
                                                                                                      represented by a chain of
characters of length max 6)

 ISO 639-5 (15/05/2008)

ISO 3166-1 (1997) gives ISO 639 (1988) not as a normative reference, but as a bibliographic reference with others ISO standards
using ISO 3166

ISO 3166-2 (1998) gives ISO 3166-1 (1997) and ISO 639 (1988) among its normative references, and uses ISO 639 inside its annex  C
(informative) to produce an index of ISO 639 language code elerments used for the representatiobn of official languages of countries

RFC 3066 (2001) refers to ISO 639 (1988), ISO 639-2 (1998), and ISO 3166 (1988), but not ISO 3166-1 (1997) that seems curious
because RFC 3066  also quasi-refers to the future ISO 639-1 (2000), that will in fact be ISO 639-1 (2002). Also, ISO 3166-2 (1998)
is not referenced inside RFC 31-066, but is in fact directly used by the example sgn-US-MA given inside point 2.2 "Language tag
sources".

ISO 639-1 (2002) gives only the three parts of ISO 3166, ISO 3166-1 (1997), ISO 3166-2 (1998) and ISO 3166-3 (1999) as normative
references, and its clause 4.4 "Application of the country code" explicitely gives both examples   "en US-NY"  and  "fr FR-75".

ISO 15924 (2004) gives ISO 639-2 (1998) among its normative references, but ISO 639-2 and ISO 3166-1 (1997) are also given in the
Bibliography, and in fact definition 3.3 is about "country code", so that ISO 3166 is effectively used by ISO 15924

RFC 4646 (2006) gives as normative references ISO 15924 (2004), ISO 3166-1 (1997), ISO 639-1 (2002), ISO 639-2 (1998) and also
UNSTAT's M49, but not ISO 3166-2 (1998).

ISO 3166-1 (2006) gives ISO 639-1 and ISO 639-2 among its normative references, and uses them in informative columns 9 and 10 of
tables 9 and 10 that give the list of code elements of administrative languages (defined in clause 6.2) of each entry.

ISO 3166-2 (2007) gives ISO 3166-1 (2006) among its normative references and uses ISO 639-1 (2002) for each entry inside table 8
"List of country subdivision names and their code elements" to give the list of administrative languages of this entry. Also Annex C
(informative) "Index of ISO 639-1 names of alpha-2 languages code element used" uses ISO 639-1.

RFC 4646 bis (2008) gives as normative references ISO 15924 (2004), ISO 3166-1 (2006), ISO 639-1 (2002), ISO 639-2 (1998), ISO 639-3
(2007), ISO 639-5 (2008) and also UNSTAT's M49, but not ISO 3166-2 (2007). It could also refer to ISO 8601 that is used at the end
of point 3.1.1 "File Format" for the representation of the gregorian calendar.

4-So, combination of ISO 639-1 or 639-2 code elements with ISO 3166-1 or ISO 3166-2 code elements has already been documented many
times, as well in ISO 3166 that in ISO  639, or even in RFC 3066. So, it only seems natural to introduce ISO 3166-2 code elements
inside the "region type" of IANA's Register.

5-Moreover, as ISO 639-3, and ISO 15924 as well, are developping an historic view on language name, it would also be natural to
introduce an historic view on country names. Clearly ISO 3166-3, that begins history in 1974 (in thesame manner that IANA's Register
begins history in 2005 !), in not an adequate reference for this, and AFNOR XP Z 44-002 could be a better one.

Bien cordialement.
Gérard LANG

-----Message d'origine-----
De : John Cowan [mailto:[email-masked]] Envoyé : lundi 25 août 2008 06:11 À : Doug Ewell Cc : LTRU Working Group; Lang Gérard Objet
: Re: [Ltru] [private] Re: Registry updated